package seng302.DataInput;


import org.testng.annotations.Test;
import seng302.Exceptions.InvalidPolarFileException;
import seng302.Model.Polars;

import java.io.File;

import static org.testng.Assert.*;

/**
 * Created by f123 on 10-May-17.
 */
public class PolarParserTest {

    @Test
    /**
     * Tests if we can parse a polar data file (stored in a string), and create a polar table.
     */
    public void testParse() throws Exception {

        try {
            //Parse data file.
            Polars polars = PolarParser.parse("polars/acc_polars.csv");

            //If the parse function didn't through, it worked.
            assertTrue(true);
        }
        catch (InvalidPolarFileException e) {
            assertTrue(false);
        }

    }



}
